%define name       easytag
%define ver        0.15
%define rel        1mdk

Summary:      Viewer/Editor for MP3 tags
Name:         %name
Version:      %ver
Release:      %rel
License:      GPL
URL:          http://easytag.sourceforge.net
Group:        Sound
Source:       http://download.sourceforge.net/easytag/%{name}-%{version}.tar.bz2
Source1:      %{name}-48x48.xpm.bz2
Source2:      %{name}-32x32.xpm.bz2
Source3:      %{name}-16x16.xpm.bz2
Patch:        easytag-compile.diff.bz2
BuildRoot:    %{_tmppath}/%name-buildroot
BuildRequires:  libgtk+1.2-devel >= 1.2.7 libid3lib13-devel = 3.7.13
Prefix: %{_prefix}

%description
EasyTAG is an utility for viewing, editing easily and quickly the ID3v2 
and ID3v1.x tags of your MP3 files, using a nice GTK+ user interface.

Features:
  * View, edit, write MP3 tags (supporting ID3v2 and ID3v1.x specifications), 
  * Auto tagging: parse filename and directory to complete automatically 
    the fields (using masks), 
  * Ability to rename mp3 file from tag (using masks),
  * Process all mp3 of the selected directory, 
  * Ability to browse subdirectories,
  * Recursion for tagging, removing, renaming, saving...,
  * Can set a field (artist, title,...) to all other files,
  * Read MP3 header informations (MPEG 1, 2, 2.5) and display them, 
  * A tree based browser, 
  * Simple and explicit interface!, 
  * Menu bar and shortcuts, 
  * State messages in statubar, 
  * French, German, Russian, Dutch, Hungarian, Swedish, Italian and Japanese
    translation language,
  * Written in C and uses GTK+ 1.2 for the GUI.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch

%build
%make all OPT="$RPM_OPT_FLAGS"

%install
mkdir -p "${RPM_BUILD_ROOT}"%{_bindir}
mkdir -p "${RPM_BUILD_ROOT}"%{_datadir}/gnome/apps/Multimedia
mkdir -p "${RPM_BUILD_ROOT}"%{_datadir}/pixmaps
mkdir -p "${RPM_BUILD_ROOT}"%{_datadir}/easytag
cp -f src/easytag "${RPM_BUILD_ROOT}"%{_bindir}/
cp -f easytag.desktop "${RPM_BUILD_ROOT}"%{_datadir}/gnome/apps/Multimedia/easytag.desktop
cp -f pixmaps/EasyTAG_icon.xpm "${RPM_BUILD_ROOT}"%{_datadir}/pixmaps/EasyTAG.xpm
cp -f pixmaps/EasyTAG_logo.xpm "${RPM_BUILD_ROOT}"%{_datadir}/easytag/EasyTAG_logo.xpm

for file in po/*.gmo; do
    lang=`basename $file .gmo`
    mkdir -p "${RPM_BUILD_ROOT}"%{_datadir}/locale/$lang/LC_MESSAGES
    cp -f $file "${RPM_BUILD_ROOT}"%{_datadir}/locale/$lang/LC_MESSAGES/easytag.mo
done
%{find_lang} %name
# install menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="EasyTAG"\
longtitle="An utility for viewing/editing MP3 tags with a GTK+ GUI."\
command="easytag"\
icon="%{name}.xpm"
EOF
# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}

%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog INSTALL COPYING README TODO THANKS USERS-GUIDE
%{_bindir}/easytag
%{_datadir}/gnome/apps/Multimedia/easytag.desktop
%{_datadir}/pixmaps/*
%{_datadir}/easytag/*
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_menudir}/%{name}

%changelog
* Tue Aug 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.15-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- new stable version 0.15

* Wed Jul 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.14.4-1mdk
- updated to 0.14.4

* Tue Jun 26 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.14.3-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.14.3
	- made rpmlint happy

* Tue May 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.14.2-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.14.2

* Thu May 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.14.1-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- adapted spec for mandrake
	- patched to use g++ for linking with libstdc++
	- added mandrake menu entry

* Fri Jun 2 2000 Jerome Couderc <j.couderc@ifrance.com>
  - Updated to include po files into the rpm package

* Fri May 5 2000 Jerome Couderc <j.couderc@ifrance.com>
  - Initial spec file.
